Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.coyote
Class ClientAbortException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.jboss.remoting.transport.coyote.ClientAbortException

All Implemented Interfaces:
  java.io.Serializable

    public final class ClientAbortException

extends java.io.IOException

Wrap an IOException identifying it as being caused by an abort of a request by a remote client.

Version:
  $Revision: 1216 $ $Date: 2006-07-05 13:01:48 -0400 (Wed, 05 Jul 2006) $
Author:
  Glenn L. Nielsen
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `message` The error message passed to our constructor (if any)
`protected java.lang.Throwable` | `throwable` The underlying exception or error passed to our constructor (if any)

Constructor Summary
`ClientAbortException()` Construct a new ClientAbortException with no other information.
`ClientAbortException(java.lang.String message)` Construct a new ClientAbortException for the specified message.
`ClientAbortException(java.lang.String message, java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified message and throwable.
`ClientAbortException(java.lang.Throwable throwable)` Construct a new ClientAbortException for the specified throwable.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause that caused this exception, if any.
`java.lang.String` | `getMessage()` Returns the message associated with this exception, if any.
`java.lang.String` | `toString()` Return a formatted string that describes this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### message

    protected java.lang.String message

  The error message passed to our constructor (if any)

### throwable

    protected java.lang.Throwable throwable

  The underlying exception or error passed to our constructor (if any)

Constructor Detail

### ClientAbortException

    public ClientAbortException()

  Construct a new ClientAbortException with no other information.

### ClientAbortException

    public ClientAbortException(java.lang.String message)

  Construct a new ClientAbortException for the specified message.

  Parameters:
    `message` - Message describing this exception

### ClientAbortException

    public ClientAbortException(java.lang.Throwable throwable)

  Construct a new ClientAbortException for the specified throwable.

  Parameters:
    `throwable` - Throwable that caused this exception

### ClientAbortException

    public ClientAbortException(java.lang.String message,
                                java.lang.Throwable throwable)

  Construct a new ClientAbortException for the specified message and throwable.

  Parameters:
    `message` - Message describing this exception
    `throwable` - Throwable that caused this exception

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the message associated with this exception, if any.

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getCause

    public java.lang.Throwable getCause()

  Returns the cause that caused this exception, if any.

  Overrides:
    `getCause` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Return a formatted string that describes this exception.

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.